:root {
    --clr-very-dark-grayish-blue: hsl(217, 19%, 35%);
    --clr-desaturated-dark-blue: hsl(214, 17%, 51%);
    --clr-grayish-blue: hsl(212, 23%, 69%);
    --clr-light-grayish-blue: hsl(210, 46%, 95%);
    --clr-white: hsl(0, 0%, 100%);

    --ff-default: "Manrope", sans-serif;

    --fw-regular: 500;
    --fw-bold: 700;
}

body {
    background-color: var(--clr-light-grayish-blue);
    font-family: var(--ff-default);
    font-size: 0.8125rem;
    font-weight: var(--fw-regular);
    color: var(--clr-desaturated-dark-blue);

    min-height: 100vh;
    margin: 0 1.25rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.article {
    background-color: var(--clr-white);
    max-width: 705px;
    border-radius: 0.625rem;
    position: relative;
}

.article__hero {
    border-radius: 0.625rem 0.625rem 0 0;
}

.article__banner {
    width: 100%;
    height: 13.125rem;
    border-radius: 0.625rem 0.625rem 0 0;
    object-fit: cover;
    object-position: 50% 20%;
}

.article__content {
    padding: 2.5rem 2.5rem 1.25rem;
}

.article__title {
    font-size: 1rem;
    font-weight: var(--fw-bold);
    color: var(--clr-very-dark-grayish-blue);
    margin-bottom: 0.625rem;
}

.article__info {
    margin-top: 1.5625rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 1rem;
    position: relative;
}

.article__stats {
    flex: 1;
}

.article__author-photo {
    width: 2.5rem;
    border-radius: 50%;
}

.article__author-name {
    font-size: 0.8125rem;
    font-weight: var(--fw-bold);
    color: var(--clr-very-dark-grayish-blue);
}

.article__modal {
    display: none;
    background-color: var(--clr-very-dark-grayish-blue);
}

.article__share {
    background-color: var(--clr-light-grayish-blue);
    width: 1.875rem;
    height: 1.875rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.article__share:hover {
    background-color: var(--clr-desaturated-dark-blue);
}

.article__share:hover svg path {
    fill: var(--clr-light-grayish-blue);
}

.share,
.share__icons {
    display: flex;
    align-items: center;
}

.share {
    display: flex;
    justify-content: space-between;
    column-gap: 1rem;
    background-color: var(--clr-very-dark-grayish-blue);
    width: 100%;
    border-radius: 0 0 0.625rem 0.625rem ;
    padding: 1.25rem 2.5rem;
    position: absolute;
    bottom: 0;
    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0% 100%);
}

.share__title {
    letter-spacing: 0.3125rem;
    font-size: 0.8125rem;
    text-transform: uppercase;
    font-weight: var(--fw-regular);
    color: var(--clr-grayish-blue);
}

.share__icons {
    flex: 1;
    column-gap: 1rem;
}

.share__btn {
    background-color: var(--clr-desaturated-dark-blue);
    width: 1.875rem;
    height: 1.875rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    fill: var(--clr-light-grayish-blue);
}

.slide-top {
    -webkit-animation: slide-top 0.4s both;
    animation: slide-top 0.4s cubic-bezier(0.5,0.8,0.5,0.8) both;
    display: flex;
}

@-webkit-keyframes slide-top {
    0% {
        clip-path: polygon(0 100%, 100% 100%, 100% 120%, 0% 120%);
    }

    100% {
        clip-path: polygon(0 0, 100% 0, 100% 120%, 0% 120%);
    }
}

@keyframes slide-top {
    0% {
        clip-path: polygon(0 100%, 100% 100%, 100% 120%, 0% 120%);
    }

    100% {
        clip-path: polygon(0 0, 100% 0, 100% 120%, 0% 120%);
    }
}

.slide-out-bottom {
    -webkit-animation: slide-out-bottom 0.4s both;
    animation: slide-out-bottom 0.4s cubic-bezier(0.5,0.8,0.5,0.8) both;
}

@-webkit-keyframes slide-out-bottom {
    0% {
        clip-path: polygon(0 0, 100% 0, 100% 120%, 0% 120%);
        opacity: 1;
    }

    100% {
        clip-path: polygon(0 100%, 100% 100%, 100% 120%, 0% 120%);
        opacity: 0;
    }
}

@keyframes slide-out-bottom {
    0% {
        clip-path: polygon(0 0, 100% 0, 100% 120%, 0% 120%);
        opacity: 1;
    }

    100% {
        clip-path: polygon(0 100%, 100% 100%, 100% 120%, 0% 120%);
        opacity: 0;
    }
}

@media (min-width: 700px) {
    .article {
        display: flex;
        flex-direction: row;
        overflow: visible;
    }

    .article__banner {
        height: 100%;
        border-radius: 0.625rem 0 0 0.625rem;
        object-position: 2% 20%;
    }

    .article__content {
        max-width: 422px;
    }

    .article__title {
        font-size: 1.1875rem;
    }

    .share {
        width: 36%;
        border-radius: 0.625rem;
        bottom: 24%;
        left: 74%;
    }

    .share::after {
        content: "";
        position: absolute;
        top: 99%;
        left: 50%;
        margin-left: -0.625rem;
        border-width: 0.625rem;
        border-style: solid;
        border-color: var(--clr-very-dark-grayish-blue) transparent transparent transparent;
        z-index: 99999;
    }

    .share__btn {
        display: none;
    }
}
